image: python

stages:
- test

before_script:
- pip install -r requirements.txt
- pip install -r requirements_dev.txt

python36:
  tags:
    - docker
  image: python:3.6
  stage: test
  script: tox -e py36

linters:
  tags:
    - docker
  image: python:3.6
  stage: test
  script: tox -e flake8
